Bug 221509 - [NEW PORT] audio/faust: Functional programming language for realtime audio signal processing
Summary: [NEW PORT] audio/faust: Functional programming language for realtime audio si...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 221865 221675
  Show dependency treegraph
 
Reported: 2017-08-14 06:37 UTC by Yuri Victorovich
Modified: 2017-12-20 21:08 UTC (History)
0 users

See Also:


Attachments
shar (53.29 KB, text/plain)
2017-08-14 06:37 UTC, Yuri Victorovich
no flags Details
shar (54.36 KB, text/plain)
2017-08-19 19:31 UTC, Yuri Victorovich
no flags Details
shar (56.46 KB, text/plain)
2017-08-20 00:30 UTC, Yuri Victorovich
no flags Details
shar (56.69 KB, text/plain)
2017-08-20 02:32 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-08-14 06:37:26 UTC
Created attachment 185392 [details]
shar

QAs:
* poudriere 11.1 amd64
* portlint
* runs fine

(Most of the patches will disappear once upstream will remove the hardcoded gcc.)
Comment 1 Yuri Victorovich freebsd_committer 2017-08-19 19:31:02 UTC
Created attachment 185585 [details]
shar
Comment 2 Yuri Victorovich freebsd_committer 2017-08-20 00:30:46 UTC
Created attachment 185594 [details]
shar
Comment 3 Yuri Victorovich freebsd_committer 2017-08-20 02:32:40 UTC
Created attachment 185596 [details]
shar
Comment 4 commit-hook freebsd_committer 2017-12-20 21:08:00 UTC
A commit references this bug:

Author: yuri
Date: Wed Dec 20 21:07:41 UTC 2017
New revision: 456858
URL: https://svnweb.freebsd.org/changeset/ports/456858

Log:
  New port: audio/faust: Functional programming language for realtime audio signal processing

  PR:		221509
  Submitted by:	myself
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12890

Changes:
  head/audio/Makefile
  head/audio/faust/
  head/audio/faust/Makefile
  head/audio/faust/distinfo
  head/audio/faust/files/
  head/audio/faust/files/patch-architecture_osclib_oscpack_Makefile
  head/audio/faust/files/patch-architecture_osclib_oscpack_ip_posix_UdpSocket.cpp
  head/audio/faust/files/patch-compiler_generator_tools.cpp
  head/audio/faust/pkg-descr
  head/audio/faust/pkg-message
  head/audio/faust/pkg-plist